
From: Martin Schwidefsky <schwidefsky@de.ibm.com>

From: Jan Glauber <jan.glauber@de.ibm.com>
From: Martin Schwidefsky <schwidefsky@de.ibm.com>

s390 core changes:
 - Use copy_siginfo_from_user32 instead of copy_from_user to get the
   siginfo structure in sys32_rt_sigqueueinfo.
 - Remove prototype for non-existant stop_timers function.
 - Regenerate default configuration.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/s390/defconfig             |    4 ++--
 25-akpm/arch/s390/kernel/compat_linux.c |    3 +--
 25-akpm/arch/s390/kernel/vtime.c        |    2 +-
 25-akpm/include/asm-s390/timer.h        |    2 --
 4 files changed, 4 insertions(+), 7 deletions(-)

diff -puN arch/s390/defconfig~s390-core-changes arch/s390/defconfig
--- 25/arch/s390/defconfig~s390-core-changes	Tue Aug 17 15:45:29 2004
+++ 25-akpm/arch/s390/defconfig	Tue Aug 17 15:45:29 2004
@@ -419,7 +419,6 @@ CONFIG_RAMFS=y
 # CONFIG_BEFS_FS is not set
 # CONFIG_BFS_FS is not set
 # CONFIG_EFS_FS is not set
-# CONFIG_JFFS2_COMPRESSION_OPTIONS is not set
 # CONFIG_CRAMFS is not set
 # CONFIG_VXFS_FS is not set
 # CONFIG_HPFS_FS is not set
@@ -511,11 +510,12 @@ CONFIG_CRYPTO=y
 # CONFIG_CRYPTO_BLOWFISH is not set
 # CONFIG_CRYPTO_TWOFISH is not set
 # CONFIG_CRYPTO_SERPENT is not set
-# CONFIG_CRYPTO_AES_GENERIC is not set
+# CONFIG_CRYPTO_AES is not set
 # CONFIG_CRYPTO_CAST5 is not set
 # CONFIG_CRYPTO_CAST6 is not set
 # CONFIG_CRYPTO_TEA is not set
 # CONFIG_CRYPTO_ARC4 is not set
+# CONFIG_CRYPTO_KHAZAD is not set
 # CONFIG_CRYPTO_DEFLATE is not set
 # CONFIG_CRYPTO_MICHAEL_MIC is not set
 # CONFIG_CRYPTO_CRC32C is not set
diff -puN arch/s390/kernel/compat_linux.c~s390-core-changes arch/s390/kernel/compat_linux.c
--- 25/arch/s390/kernel/compat_linux.c~s390-core-changes	Tue Aug 17 15:45:29 2004
+++ 25-akpm/arch/s390/kernel/compat_linux.c	Tue Aug 17 15:45:29 2004
@@ -725,8 +725,7 @@ sys32_rt_sigqueueinfo(int pid, int sig, 
 	int ret;
 	mm_segment_t old_fs = get_fs();
 	
-	if (copy_from_user (&info, uinfo, 3*sizeof(int)) ||
-	    copy_from_user (info._sifields._pad, uinfo->_sifields._pad, SI_PAD_SIZE))
+	if (copy_siginfo_from_user32(&info, uinfo))
 		return -EFAULT;
 	set_fs (KERNEL_DS);
 	ret = sys_rt_sigqueueinfo(pid, sig, &info);
diff -puN arch/s390/kernel/vtime.c~s390-core-changes arch/s390/kernel/vtime.c
--- 25/arch/s390/kernel/vtime.c~s390-core-changes	Tue Aug 17 15:45:29 2004
+++ 25-akpm/arch/s390/kernel/vtime.c	Tue Aug 17 15:45:29 2004
@@ -21,7 +21,7 @@
 #include <asm/s390_ext.h>
 #include <asm/timer.h>
 
-#define VTIMER_MAGIC (0x4b87ad6e + 1)
+#define VTIMER_MAGIC (TIMER_MAGIC + 1)
 static ext_int_info_t ext_int_info_timer;
 DEFINE_PER_CPU(struct vtimer_queue, virt_cpu_timer);
 
diff -puN include/asm-s390/timer.h~s390-core-changes include/asm-s390/timer.h
--- 25/include/asm-s390/timer.h~s390-core-changes	Tue Aug 17 15:45:29 2004
+++ 25-akpm/include/asm-s390/timer.h	Tue Aug 17 15:45:29 2004
@@ -45,6 +45,4 @@ extern void add_virt_timer_periodic(void
 extern int mod_virt_timer(struct vtimer_list *timer, __u64 expires);
 extern int del_virt_timer(struct vtimer_list *timer);
 
-int stop_timers(void);
-
 #endif
_
